Subject: Re: [PATCH] drivers/net/ethernet/via/via-velocity.c: update napi implementation

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 15 Aug 2013 01:42:08 +0400

Hello.

On 08/14/2013 06:26 PM, Julia Lawall wrote:

> From: Julia Lawall <[email-masked]>

> Drivers supporting NAPI should use a NAPI-specific function for receiving
> packets.  Hence netif_rx is changed to netif_receive_skb.

> Furthermore netif_napi_del should be used in the probe and remove function
> to clean up the NAPI resource information.

> Thanks to Francois Romieu, David Shwatrz and Rami Rosen for their help on
> this patch.

> Signed-off-by: Julia Lawall <[email-masked]>

> ---
> I still don't understand the reason for choosing netif_receive_skb,
> specifically.  This patch is not tested.

    This driver is not the only one with the netif_rx() used with NAPI issue. 
I also overlooked this when converting drivers/net/ethernet/renesas/sh_eth.c 
to NAPI. I'll try to change the call and see if netperf would behave better...

WBR, Sergei